[aliases]
n0=upd8_sfb_conn return $nopath($script) 1.6e
n1=
n2=sf_events {
n3=  ;use this alias as a notice event. Where room broadcast is the event.
n4=  ;echo -a RoomNotice $1-
n5=}
n6=np_ {
n7=  if ($1 = q) mode $3 +q-oh $2 $2 $2
n8=  elseif ($1 = o) mode $3 +o-qh $2 $2 $2
n9=  elseif ($1 = h) mode $3 +h-qo $2 $2 $2
n10=  elseif ($1 = v) || ($1 = s) {
n11=    if ($nick($3,$2,. @ %)) mode $3 $iif($1 = v,+v-hoq,-vhoq) $2 $2 $2 $2
n12=    else mode $3 $iif($1 = v,+,-) $+ v $2
n13=  }
n14=  if ($2 !ison $3) name_chk $3 $2
n15=}
n16=;fkeys
n17=f1 sf
n18=f2 run $mircdir
n19=f3 fav
n20=f4 vlist
n21=f5 lists
n22=f6 emote
n23=f7 axis
n24=f8 away $active
n25=f12 { if ($input(Are you sure want to close SoulFly?,y,SoulFly Shutdown)) sf_rb }
n26=sf2 notepad
n27=sf5 updateme
n28=sf12 { if ($input(Are you sure want to restart SoulFly?,y,SoulFly Restart)) sf_rb r }
n29=cf1 webpage
n30=cf3 pro_rdr
n31=cf4 pass
n32=cf5 create
n33=cf11 {
n34=  if ($input(Would you like to reset your connection?,y,Disconnect)) {
n35=    if ($server) disconnect
n36=    else sf_conn
n37=  }
n38=}
n39=cf12 { if ($input(Are you sure you want to disconnect?,y,Disconnect)) xdc }
n40=;conn
n41=sockwrite {
n42=  if (!$sock($2)) return
n43=  sockwrite $1-
n44=  :error
n45=  if ($error) reseterror
n46=}
n47=sf_login {
n48=  if ($input(Please Enter Your Passport Email.,e,Welcome to $v_)) {
n49=    set %sfemail $ifmatch
n50=    if (@ !isin %sfemail) && ($input(Account Creation: $crlf $crlf %sfemail is not a valid email address. $crlf $str($chr(160),12) Please try again.,o,$v_ - Account Creation)) {
n51=      unset %sfemail
n52=      .timersfcreate 1 1 sf_login
n53=      return
n54=    }
n55=  }
n56=  else { echo %_cc -s 9,15 SoulFly11,15 Account Creation :Please Enter Your Email Account | return }
n57=  if ($input(Please Enter Password for %sfemail .,e,SoulFly)) set %sfpass $ifmatch
n58=  else { echo %_cc -s 9,15 SoulFly11,15 Account Creation :Please Enter Your Password. | unset %sfemail | return }
n59=  if ($input(Please Create An Account Name For: $crlf $crlf %sfemail,e,SoulFly)) set %sf $ifmatch
n60=  else { echo %_cc -a 9,15 SoulFly11,15 Account Creation :Please Create An Account Name | unset %sfemail %sfpass | return }
n61=  if ($input(Account: %sf $crlf $crlf Email: %sfemail $crlf $crlf Pass: %sfpass $crlf $crlf $crlf Is This Correct?,y,SoulFly Account Verification)) {
n62=    v_addy %sfemail $md5(%sfpass) | set %lastadd %sfemail
n63=    writeini soulfly.ini Accts %sfemail %sf | writeini soulfly.ini Accts %sf %sfemail
n64=    echo %_cc -a 14,14,,,,,9,14 $v_ 14,14,,,,,11,14 Account Creation 14,14,,, %sf 12You are ready to join a room now. 1,8 :) 
n65=    unset %sfemail %sf %sfpass
n66=    if (%idl. [ $+ [ %lastadd ] ] != $null) jroom $v1
n67=    else fav
n68=    halt
n69=  }
n70=}
n71=sf_conn {
n72=  if ($sock(SoulFly)) sockclose soulfly
n73=  if ($sock(Open)) sockclose open
n74=  socklisten Open
n75=  .server 127.0.0.1 $Sock(Open).port
n76=  if (!$timer(sf_dc)) .timersf_dc 0 69 /sf_dc
n77=}
n78=j_sync {
n79=  if ($sock($+(sf.,%,$1))) timersy_dc 1 3 /sf_dc
n80=  else $+(.timer,js,$1) 1 1 /jroom $1
n81=}
n82=join jroom $1-
n83=j jroom $1-
n84=jroom {
n85=  if (%jroom. [ $+ [ $1 ] ]) return
n86=  if (!$1) { echo %_cc -s $str($chr(160),3) > 1[4Error1 on join] Missing Channel Name. Please try again. | return }
n87=  if (!$hget(soulfly)) { h_make | .timerjroom -m 1 300 jroom $1- | return }
n88=  if (!$sock(soulfly)) { sf_conn | .timerjroom 1 1 jroom $1- }
n89=  if ($numtok($1-,44) > 1) {
n90=    var %jnum $ifmatch, %j_c
n91=    while (%jnum) {
n92=      %j_c = $gettok($1-,%jnum,44)
n93=      q_ jroom $iif($regex(%j_c,/^%/),$right(%j_c,-1),%j_c)
n94=      dec %jnum
n95=    }
n96=    return
n97=  }
n98=  else {
n99=    var %jr_chn = $+($chr(37),$chr(35),$remove($1,$chr(37),$chr(35))), %jr_ad, %jr_sk
n100=    set %jr_chn %jr_chn
n101=    set -u11 %join. [ $+ [ %jr_chn ] ] $true
n102=    if ($2) {
n103=      if ($2 = %lastadd) %jr_ad = %lastadd
n104=      elseif ($readini(soulfly.ini,login,$2)) %jr_ad = $2
n105=      else {
n106=        .timer_jd -m 1 300 jroom $replace($1-,$chr(32),\b)
n107=        return
n108=      }
n109=    }
n110=    else %jr_ad = %lastadd
n111=    if (!$readini(soulfly.ini,login,%jr_ad)) {
n112=      window -a "Status Window"
n113=      echo 4 -s -= Error in Account Information =- | echo -s $chr(160)
n114=      echo %_cc -s Please check %jr_ad for errors. | sf
n115=      halt
n116=    }
n117=    %jr_sk = $+(sf.,%jr_chn)
n118=    hadd soulfly %jr_chn $hcd(%jr_chn)
n119=    if ($sock(%jr_sk)) sockclose %jr_sk
n120=    hadd soulfly port 7778 
n121=    sockopen %jr_sk %server $hget(soulfly,port)
n122=    sockmark %jr_sk %jr_ad $readini(soulfly.ini,login,%jr_ad) $iif($3 = create,$3)
n123=  }
n124=}
n125=rpass {
n126=  if (!$1) return
n127=  if ($readini(soulfly.ini,keys,$1)) {
n128=    if (%k475 [ $+ [ $1 ] ]) remini soulfly.ini keys $1
n129=    else goto give
n130=  }
n131=  var %rchn = $hget(soulfly,$1)
n132=  if ($input(%rchn requires a password. $crlf Please enter a password.,ipvd,%rchn Authentication.)) writeini soulfly.ini keys $1 $ifmatch
n133=  else {
n134=    error -e $v_ $crlf $crlf %rchn Authentication $crlf Password not entered.
n135=    set -u4 %u475- [ $+ [ $1 ] ] $true
n136=    if ($sock($+(sf.,$1))) sockclose $ifmatch
n137=    return
n138=  }
n139=  :give
n140=  sockwrite -n $+(sf.,$1) join $1 $readini(soulfly.ini,keys,$1)
n141=  set -u6 %k475 [ $+ [ $1 ] ] $true
n142=}
n143=xdc { set -u6 %xdc $true | sockclose * | disconnect }
n144=sf_rb {
n145=  set %sf_rb $true | xit
n146=  if ($1 = r) exit -nr
n147=  else exit -n
n148=}
n149=sf_re {
n150=  if ($1) set %lastadd $1
n151=  set -u7 %sf_re $true
n152=  .timersf_dc off
n153=  sockclose * | sf_conn
n154=  if ($dialog(sf)) dialog -x sf sf
n155=  var %jq
n156=  if (%sf_dc) %jq = %sf_dc
n157=  elseif (%idl. [ $+ [ %lastadd ] ] != $null) %jq = $v1
n158=  if (%jq != $null) jroom %jq
n159=  else error -n4 SoulFly Account Management $crlf ( %lastadd ) $crlf You may now join a room.
n160=}
n161=sf_dc1 {
n162=  if (%sf_dc1) return
n163=  set -u3 %sf_dc1 $true
n164=  if (!$sock(SoulFly)) sf_conn
n165=  .timerdcx 1 2 /sf_dc
n166=}
n167=sf_dc {
n168=  var %dc_x = $numtok(%sf_dc,44), %dci
n169=  while (%dc_x) {
n170=    %dci = $gettok(%sf_dc,%dc_x,44)
n171=    if (!$sock($+(sf.,$+($chr(37),%dci)))) {
n172=      if ($window($+(%,%dci))) echo 9 -t $+(%,%dci) Attempting to rejoin 4 %dci
n173=      $+(.timersfsfj,%dci) -m 1 650 /jroom %dci
n174=      dec %dc_x
n175=      if (!%dc_x) continue
n176=      else break
n177=    }
n178=    if ($sock($+(sf.,$+(%,%dci)))) {
n179=      $+(.timersfping,%dci) -m 1 650 /sockwrite -n $+(sf.,$+(%,%dci)) PING :IC_Panther01
n180=      $+(.timersf.,$+(%,%dci)) 1 30 /pchk %dci
n181=    }
n182=    dec %dc_x
n183=  }
n184=}
n185=pchk {
n186=  var %p_chn = $+($chr(37),$1)
n187=  if ((!$sock($+(sf.,%p_chn))) || ($me !ison %p_chn) || (%pchk. [ $+ [ $1 ] ] >= 3)) {
n188=    sockclose $+(sf.,%p_chn)
n189=    echo %_cc -t %p_chn 4,8> Disconnect:2,8 Server failed to respond. Rejoining $+($right($1,-1),...) 
n190=    .timer -m 1 600 /jroom $1-
n191=  }
n192=  else {
n193=    inc -u32 %pchk. [ $+ [ $1 ] ]
n194=    echo %_cc -t %p_chn 0,4 > Disconnect:9,14( %pchk. [ $+ [ $1 ] ] ) Server failed to respond. Checking connection to $+($right($1,-1),.) 
n195=    $+(.timerpcping,$1) -m 1 650 /sockwrite -n $+(sf.,%p_chn) PING :IC_Panther01
n196=    $+(.timersf.,%p_chn) 1 28 /pchk $1
n197=  }
n198=}
n199=chk_sfdc {
n200=  var %qq = $numtok(%sf_dc,44)
n201=  while (%qq) {
n202=    if ($me !ison $+(%,$gettok(%sf_dc,%qq,44))) set %sf_dc $remtok(%sf_dc,$gettok(%sf_dc,%qq,44),44)
n203=    dec %qq
n204=  }
n205=}
n206=xit {
n207=  if (%axismade.*) unset %axismade.*
n208=  if ($var(%#*,0)) unset %#*
n209=  if ($hget(soulfly,away)) hdel soulfly away
n210=  if ($hget(prot,propall)) hdel prot propall
n211=  if ($hget(soulfly,upd8x)) hdel soulfly upd8x
n212=  if ($hget(prot)) { hdel -w prot jf* | hdel -w prot 818* | hdel -w prot mode* }
n213=  if ($hget(soulfly)) { hdel -w soulfly w* | hdel -w soulfly $+($chr(37),#*) }
n214=}
n215=q_sound {
n216=  if (!$isfile($hget(soulfly,query))) error -e Whisper Sound $crlf $chr(160) $crlf Query Sound Error: $crlf Please re-select a query sound.
n217=  elseif ($query(%hn) != $active) splay $hget(soulfly,query)
n218=}
n219=propchk {
n220=  if ($hget(prot,$+(prpchk,$1))) || (!$hget(prot,propchk)) return
n221=  hadd -u10 prot $+(prpchk,$1) $true
n222=  if (!$1) {
n223=    if (!$timer(propchk)) {
n224=      .timerpropchk 0 400 /propchk x
n225=      echo %_cc -ta [Channel Prop Checking] $str($chr(160),3) 4initiated
n226=      .timerpropchkx 1 1 /propchk x
n227=    }
n228=    elseif ($timer(propchk)) { .timerpropchk off | echo %_cc -ta [Channel Prop Checking] $str($chr(160),3) 4halted }
n229=  }
n230=  elseif ($me isop $1) {
n231=    q_ prop $1 locked
n232=    if ($nick($1,$me,' .)) prop $1 *
n233=  }
n234=  else {
n235=    var %pchn = $chan(0), %px
n236=    while (%pchn) {
n237=      %px = $chan(%pchn)
n238=      if ($me isop %px) q_ prop %px locked
n239=      if ($nick(%px,$me,' .)) q_ sockwrite -n $+(sf.,$1) prop %px *
n240=      dec %pchn
n241=    }
n242=  }
n243=}
n244=propall {
n245=  if (!$1) || (!$nick($1,$me,')) return
n246=  var %pr $iif($1 isin $hget(prot,propall),lock,unlock)
n247=  sockwrite -n $+(sf.,$1) prop $1 %pr $+(ownerkey,$crlf,prop) $1 %pr $+(hostkey,$crlf,prop) $1 %pr $+(memberkey,$crlf,prop) $1 %pr $+(category,$crlf,prop) $1 %pr language
n248=  q_ sockwrite -n $+(sf.,$1) prop $1 %pr $+(topic,$crlf,prop) $1 %pr $+(onjoin,$crlf,prop) $1 %pr $+(onpart,$crlf,prop) $1 locked | echo %_cc -ta 9,15 $v_  : $iif($1 isin $hget(prot,propall),Locking,Unlocking) Props
n249=  hpp prot propall $1
n250=}
n251=name_chk {
n252=  if (!$1) || (%names_ [ $+ [ $1 ] ]) return
n253=  var %nb_ = $nick($1,0)
n254=  if (!$2) || (%nb_ >= $2) {
n255=    set -eu4 %names_ [ $+ [ $1 ] ] $1-
n256=    q_ names $1
n257=  }
n258=}
n259=_818 {
n260=  if (!$1-2) return
n261=  if ($istok($hget(prot,$+(818,$1)),$2,44)) return $true
n262=  else return $false
n263=}
n264=_comchan {
n265=  var %I_ = 1, %comch = $comchan($1,0), %comchn, %c_cn
n266=  while (%i_ <= %comch) {
n267=    %c_cn = $comchan($1,%i_)
n268=    if ($2 = e) echo %c_cn $3-
n269=    elseif ($2 = i) && (%c_cn = $3) return %i_
n270=    elseif ($2 = m) msg %c_cn $3-
n271=    elseif ($2 = a) describe %c_cn $3-
n272=    elseif ($2 = n) echo -a notice %c_cn $1 $3-
n273=    else %comchn = $addtok(%comchn,$iif($2 = h,$hcd(%c_cn),%c_cn),44)
n274=    inc %i_
n275=  }
n276=  if ($2 = h) || (!$2-) return %comchn
n277=}
n278=md_ {
n279=  if ($1 = +) {
n280=    noop $regex(umadd,$2,/\+([^\-]*)/)
n281=    return $regml(umadd,1)
n282=  }
n283=  elseif ($1 = -) {
n284=    noop $regex(umsub,$2,/\-([^\+]*)/)
n285=    return $regml(umsub,1)
n286=  }
n287=}
n288=;hash table management
n289=h_make {
n290=  if ($1) goto u
n291=  if (!$hget(SoulFly)) hmake SoulFly 100
n292=  if ($file(lists\SoulFly.txt).shortfn) hload SoulFly $qt($ifmatch)
n293=  if (!$hget(prot)) hmake prot 100
n294=  if ($file(lists\prot.txt).shortfn) hload prot $qt($ifmatch)
n295=  :u
n296=  if ($script(sfb_aop.mrc)) && (!$hget(user)) {
n297=    hmake user 60
n298=    if ($file(lists\user.txt).shortfn) hload user $qt($ifmatch)
n299=  }
n300=}
n301=h_save {
n302=  if ($hget(SoulFly)) hsave -o SoulFly lists\SoulFly.txt
n303=  if ($hget(prot)) hsave -o prot lists\prot.txt
n304=  if ($hget(user)) hsave -o user lists\user.txt
n305=}
n306=;accounts
n307=v_addy {
n308=  if (!$1) return
n309=  var %adr = $var(%addr.*,0), %c = 1 | while (%c <= %adr) {
n310=    if (%addr. [ $+ [ %c ] ] = $1) {
n311=      if (%addr. [ $+ [ %c ] ] !isletter $1) %addr. [ $+ [ %c ] ] = $1
n312=      %adr = %c
n313=      goto subrec
n314=    }
n315=    inc %c
n316=  }
n317=  if (%adr < 10) inc %adr
n318=  :subrec
n319=  while (%adr >= 1) {
n320=    if (%adr = 1) { set %addr.1 $1 | writeini soulfly.ini login $1 $2 | break }
n321=    else set %addr. [ $+ [ %adr ] ] %addr. [ $+ [ $calc(%adr - 1) ] ]
n322=    dec %adr
n323=  }
n324=}
n325=addy_d {
n326=  if (!$1) return
n327=  var %a_x = $var(%addr.*,0), %a_xi = 1, %a_
n328=  while (%a_xi <= %a_x) {
n329=    if (%addr. [ $+ [ %a_xi ] ] = $1) { %a_ = %a_xi | goto del }
n330=    inc %a_xi
n331=  }
n332=  :del {
n333=    hdel SoulFly %addr. [ $+ [ %a_ ] ]
n334=    if (%a_ = %a_x) { unset %addr. [ $+ [ %a_ ] ] | return }
n335=    while (%a_ < %a_x) {
n336=      set %addr. [ $+ [ %a_ ] ] %addr. [ $+ [ $calc(%a_ + 1) ] ] | inc %a_
n337=      if (%a_ = %a_x) unset %addr. [ $+ [ %a_x ] ]
n338=    }
n339=  }
n340=}
n341=;communication
n342=ame {
n343=  if (!$1) return
n344=  var %achn = $chan(0), %chxi
n345=  while (%achn) {
n346=    describe $chan(%achn) $1-
n347=    echo 6 -t $chan(%achn) * $me $1-
n348=    dec %achn
n349=  }
n350=}
n351=amsg {
n352=  if (!$1) return
n353=  var %achn = $chan(0)
n354=  while (%achn) {
n355=    msg $chan(%achn) $1-
n356=    dec %achn
n357=  }
n358=}
n359=_privmsg {
n360=  var %co_ = $gettok($1-,1,44)
n361=  tokenize 32 $gettok($1-,2-,44)
n362=  if (!$chan($3)) || ($ignore($+(*!,$gettok($1,-1,33)))) || ($($+(%,sf_fld.,$3,.,PRIVMSG),2) > 11) return
n363=  if ($hget(soulfly,hlt)) && ($level($+(*!*,$right($1,24))) = tagged) var %no_ = $true
n364=  var %pm_nk = $right($gettok($1,1,33),-1), %tval, %r = $regsub($replace($right($4-,-1),&nbsp;,%c160),/\[(/)?style([^\]]+)?\]/gi,$null,%tval)
n365=  if ($readini(mirc.ini,fonts,$+(f,$3))) && ($gettok($ifmatch,2,44) >= 700) var %bd = $true
n366=  elseif ($gettok($readini(mirc.ini,fonts,fchannel),2,44) >= 700) var %bd = $true
n367=  var %tu_ = $regml(1), %b_ = $iif($istok(%tu_,b,59) && !%bd,), %u_ = $iif($istok(%tu_,u,59),), %i_ = $iif($istok(%tu_,i,59),$true)
n368=  if ($3 isin %wchat) {
n369=    if ($istok(%tu_,b,59)) set %wc_bu [ $+ [ %pm_nk ] ] <b>
n370=    if (%i_) set %wc_bu [ $+ [ %pm_nk ] ] $+(%wc_bu [ $+ [ %pm_nk ] ],<i>)
n371=    if (%u_) set %wc_bu [ $+ [ %pm_nk ] ] $+(%wc_bu [ $+ [ %pm_nk ] ],<u>)
n372=    set %wc_ff [ $+ [ %pm_nk ] ] $left($gettok(%r,-2,58),-3)
n373=    set %wc_co [ $+ [ %pm_nk ] ] %co_
n374=    echo -i7t $3 ( %pm_nk ) %tval
n375=    return
n376=  }
n377=  elseif ($hget(soulfly,nocolor)) { echo -t $3 ( %pm_nk ) %tval | return }
n378=  if (%no_) {
n379=    if (!%hL_ [ $+ [ %pm_nk ] ]) && ($hget(soulfly,hL_sound)) {
n380=      splay $qt($ifmatch)
n381=      set -u5 %hL_ [ $+ [ %pm_nk ] ] $true
n382=    }
n383=    echo $3 $chr(160)
n384=  }
n385=  echo -i7t $3 $iif(%no_,$+($chr(91),4Tagged,$chr(93))) ( %pm_nk ) $+(,$_col(%co_),%b_) $+(%u_,%tval)
n386=  if (%no_) echo $3 $chr(160)
n387=}
n388=msg {
n389=  if ($1 = status) echo -s $3-
n390=  var %u_ = $iif(u isin $hget(soulfly,style),)
n391=  inc -u2 %msg
n392=  if ($2 = S) {
n393=    if (\ isin $3) var %color = $iif($left($3,2) = \r,#0000A5;,#4A4A4A;), %style = $m_c($asc($mid($3,3,1))), %font = $left($strip($right($3,-3)),-1)
n394=    else var %color = $iif($left($3,1) = e,#db0f04;,$m_c($asc($ifmatch))), %style = $m_c($asc($mid($3,2,1))), %font = $left($strip($right($3,-2)),-1)
n395=    sockwrite -n $+(sf.,$1) PRIVMSG $1 :[Style $+(ff:,%font,co:,%color,%style,],$left($strip($4-),-1),[/style])
n396=    echo -t $1 %c160 (10 $me ) %c160 $+(%u_,,$_col($mid(%color,2,6))) $4- 
n397=    return
n398=  }
n399=  if (!$regex($1,/^%#/)) {
n400=    var %msg_chn = $iif(!$qc($1),$comchan($1,1),$qc($1))
n401=    if (!%msg_chn) { echo %_cc -a /msg Bad Target [ $1 ] | echo %_cc -a 4SoulFly Whisper Error:[ 12 $1  ] not found ... | return }
n402=    if ($sock($+(sf.,%msg_chn))) {
n403=      if (!$query($1)) query $1
n404=      sockwrite -n $+(sf.,%msg_chn) WHISPER %msg_chn $1 $font_($2-) 
n405=    }
n406=  }
n407=  else sockwrite -n $+(sf.,$1) PRIVMSG $1 $font_($2-)
n408=  if ($1 isin %wchat) $iif(%wc_clr [ $+ [ $1 ] ],$+(.timerwc,$ticks) 1 2) /necho $1 $mico($me) <b><font face="Arial" size="2" color="#000099"> $+($me,:</b>,$mico(blank),$replace($hget(soulfly,style),b;,<b>,i;,<i>),<font face=",$left($right($hget(soulfly,font),-3),-1),") $+(color=",$left($right($hget(soulfly,fcolor),-4),-1),">) $+($emotereplace($replace($2-,<,&lt;,>,&gt;)),$replace($hget(soulfly,style),b;,</b>,i;,</i>)) </font>
n409=  else echo -i7t $1 %c160 (10 $me ) %c160 $+(%u_,,$_col($left($right($hget(soulfly,fcolor),-4),-1))) $utfencode($2-) 
n410=}
n411=notice {
n412=  if (!$3) { echo %_cc -st 12Notice4 Error: No Message Included. | return }
n413=  if ($1 = $server) { sockwrite -n $+(sf.,$chan) notice $1 $2- | return }
n414=  if (!$regex($1,/^%#/)) { echo %_cc -st 12Notice4 Error: No channel given. | return }
n415=  var %nsk = $+(sf.,$1) | inc -u2 %_notice
n416=  if (!$sock(%nsk)) { echo %_cc -st 12Notice4 Error: Socket Closed. Please check your connection and try again. | return }
n417=  if ($regex($2,/^%#/)) { sockwrite -n %nsk NOTICE $1 $2 $+(:,$3-) | echo -t $1 4Room Broadcast: 10 $3- }
n418=  elseif ($2 !ison $1) && (!$regex($2,/^%#/)) { echo %_cc -t $1 12Notice4 Error: $2 is not on $hcd($1) . | return }
n419=  else { sockwrite -n %nsk NOTICE $1-2 $+(:,$3-) | echo -t $1 4Notice: (2 $2 ) 10 $3- }
n420=}
n421=ctcpreply {
n422=  if (!$1) return
n423=  if ($regex($1,/^%#/)) && ($2 ison $1) sockwrite -n $+(sf.,$1) NOTICE $1 $2 $Str($Chr(2),2) $3-
n424=  elseif ($comchan($1,1)) .raw NOTICE $ifmatch $1 $Str($Chr(2),2) $2-
n425=}
n426=;HCD for VSIXc made by Travis, 2006
n427=hcd {
n428=  if ($len($1-) <= 12) return $replace($remove($gettok($1-,-1,35),$chr(32),$chr(160),.,*,:,',\b,\),$chr(8),-)
n429=  else {
n430=    var %xcd = $replace($remove($gettok($1-,-1,35),\b,',.,*,:,\,$chr(96),$chr(32),$chr(160)),$chr(8),-,>,-,<,-)
n431=    return %xcd
n432=  }
n433=}
n434=bdc {
n435=  return $1-
n436=}
n437=sf_ return $+(sf.,$1)
n438=_url return $+(http://spcn.io/c/?cn=%25%23,$replace($right($1-,-2),~,$+($chr(37),7e)))
n439=ha return $gettok($1-,-1,33)
n440=hi return $gettok($gettok($1,1,64),-1,33)
n441=hn return $gettok($1,1,33)
n442=had {
n443=  var %xf = $ial(*,0), %xf_
n444=  while (%xf) {
n445=    if ($1 isin $ial(*,%xf)) {
n446=      if ($2 = 0) set %xf_ $addtok(%xf_,$ial(*,%xf),44)
n447=      else {
n448=        return $ial(*,%xf)
n449=        break
n450=      }
n451=    }
n452=    dec %xf
n453=  }
n454=  if ($prop = list) return %xf_
n455=  elseif ($2 = 0) return $numtok(%xf_,44)
n456=  elseif ($2 isnum) && ($gettok(%xf_,$2,44)) return $ifmatch
n457=}
n458=v_ return $u_h(536F756C466C7920312E36)
n459=e {
n460=  if (!$1) return
n461=  if ($left($1,1) = $chr(37)) var %e_1 = $true
n462=  if ($2 = 32) {
n463=    if (%e_1) return $remove($replace($1,\b,$chr(160)),$chr(37),$chr(35))
n464=    else return $+($chr(37),$chr(35),$remove($replace($1,$chr(160),\b),$chr(194)))
n465=  }
n466=  else {
n467=    if (%e_1) return $mid($1,2)
n468=    else return $+($chr(37),$1)
n469=  }
n470=}
n471=_hex return $+($chr(35),$base($1,10,16,2),$base($2,10,16,2),$base($3,10,16,2))
n472=hex_ {
n473=  if (!$1) return
n474=  var %hex_ = $remove($1,$chr(35))
n475=  if ($2) return $rgb($base($left(%hex_,2),16,10),$base($mid(%hex_,3,2),16,10),$base($right(%hex_,2),16,10))
n476=  else return $+($base($left(%hex_,2),16,10),$chr(44),$base($mid(%hex_,3,2),16,10),$chr(44),$base($right(%hex_,2),16,10))
n477=}
n478=h_d {
n479=  var %mcc = $remove($1,$chr(35))
n480=  %mcc = $+($right(%mcc,2),$mid(%mcc,3,2),$left(%mcc,2))
n481=  %mcc = $base(%mcc,16,10)
n482=  return %mcc
n483=}
n484=d_h { var %hx = $base($1,10,16,6) | return $+($chr(35),$right(%hx,2),$mid(%hx,3,2),$left(%hx,2)) }
n485=hpp {
n486=  if ($3 !isin $hget($1,$2)) { hadd -m $1 $2 $addtok($hget($1,$2),$3,46) | h_save }
n487=  else {
n488=    hadd -m $1 $2 $remtok($hget($1,$2),$3,1,46)
n489=    if ($hget($1,$2) = $null) hdel $1 $2
n490=    h_save
n491=  }
n492=}
n493=hvp {
n494=  if (!$1-2) return
n495=  var %ty = $var($1,1).value
n496=  if ($2 !isin %ty) set $+(%,$1) $addtok(%ty,$2,46)
n497=  else {
n498=    set $+(%,$1) $remtok(%ty,$2,46)
n499=    if ($var($1,1).value = $null) unset $+(%,$1)
n500=  }
n501=}
n502=hip {
n503=  if (!$1-4) return
n504=  if ($4 !isin $readini($1,$2,$3)) writeini $1-3 $addtok($readini($1,$2,$3),$4,46)
n505=  else {
n506=    var %hrx = $remtok($readini($1,$2,$3),$4,46)
n507=    if (!%hrx) remini $1-
n508=    else writeini $1-3 %hrx
n509=  }
n510=}
n511=q_ {
n512=  if (!$window(@q_)) window -hn2 @q_
n513=  echo @q_ $1-
n514=  .timerq_ -m 1 800 qu_
n515=}
n516=
n517=qu_ {
n518=  var %q_
n519=  while ($line(@q_,1)) {
n520=    $line(@q_,1)
n521=    dline @q_ 1
n522=    inc %q_
n523=    if (%q_ = 11) {
n524=      .timerqu_ -m 1 800 qu_
n525=      return
n526=    }
n527=
n528=  }
n529=}
n530=qc return $hget(soulfly,$+(sfw_,$1))
n531=hstx return $replace($remove($regsubex($1,/<.+?>/g,),&nbsp;,&nbsp,&shy;),&quot;,",&amp;,&,&lt;,>,&gt;,<,&#233;,$chr(233),&#231;,$chr(231),&ccedil;,$chr(231),&ntilde;,$chr(241),&#209;,$chr(209),&#220;,$chr(220),&#244;,$chr(244))
n532=sfont return $regsubex($1-,/\[style[^\]]+\](.*)\[/style\]/i,\1)
n533=font_ {
n534=  if (!$1) || (!$hget(soulfly,font)) return $+(:,$1-)
n535=  else return :[style $+($hget(soulfly,font),$hget(soulfly,fcolor),$hget(soulfly,style),],$1-,[/style])
n536=}
n537=;xfont regsub from Tewl
n538=xfont { var %val, %xfont = $regsub($replace($1-,[br],$utfencode($chr(160)),&nbsp;,%c160),/\[(/)?style([^\]]+)?\]/gi,$null,%val) | return $utfdecode(%val,0) }
n539=c_sock return $+(sf.,$1)
n540=buzz.decode return $bdc($1-)
n541=iggy {
n542=  if ($ignore($+(*!,$2))) { echo -t $3 $str($chr(160),3) 11 ... removed 15 $bdc($1) 11 from the ignore list. | .ignore -r $+(*!,$2) }
n543=  else { echo -t $3 $str($chr(160),3) 4 ... added 15 $bdc($1) 4 to the ignore list. | .ignore $2 }
n544=}
n545=m_c {
n546=  if ($1 = 1) return $null
n547=  elseif ($1 = 2) return b;
n548=  elseif ($1 = 3) return i;
n549=  elseif ($1 = 4) return #007100;
n550=  elseif ($1 = 5) return #000080;
n551=  elseif ($1 = 6) return #E4CC3F;
n552=  elseif ($1 = 7) return #7F007F;
n553=  elseif ($1 = 8) return #008080;
n554=  elseif ($1 = 9) return #C0C0C0;
n555=  elseif ($1 = 11) return #DB0F04;
n556=  elseif ($1 = 14) return #FAE029;
n557=  elseif ($1 = 15) return #E340DF;
n558=  elseif ($1 = 16) return #00bfff;
n559=  else return #000000;
n560=}
n561=s_nix {
n562=  var %chx = $chan(0)
n563=  if (%s_nix) {
n564=    while (%chx) {
n565=      $+(.timerwh,%chx) 1 1 who $chan(%chx)
n566=      dec %chx
n567=    }
n568=  }
n569=  else {
n570=    while (%chx) {
n571=      var %ch_i = $chan(%chx), %c_c = $line(%ch_i,0,1)
n572=      while (%c_c) {
n573=        if ($line(%ch_i,%c_c,1).color = 7) _cline $color(listbox text) %ch_i $nick(%ch_i,%c_c)
n574=        dec %c_c
n575=      }
n576=      dec %chx
n577=    }
n578=  }
n579=}
n580=pass {
n581=  if (!$regex($active,/^%#/)) error -e [Pass Key] Error $crlf $crlf $active is not a room.
n582=  else {
n583=    if (!$1) var %pass = $$?="Please Enter The Password for $hget(soulfly,$active) "
n584=    else var %pass = $1
n585=    .sockwrite -n $+(sf.,$active) ownerkey $active $+(%pass,$crlf,hostkey) $active %pass
n586=  }
n587=}
n588=;rkey made by vexation
n589=rkey {
n590=  if ($isid) { var %x = $+(§øµ£¦¥,.)
n591=    while ($len(%x) <= 30) var %x = $+(%x,$chr($r(65,200)))
n592=    return $remove(%x,$chr(137))
n593=  }
n594=  elseif ($1 isin q o) .timer -m 1 1 prop $iif($2,$2,$#) $iif($1 = q,ownerkey,hostkey) $!rkey
n595=}
n596=away {
n597=  if (!$1) && ($active isin $hget(soulfly,away)) { hpp soulfly away $active | q_ sockwrite -n $+(sf.,$active) AWAY $active | return }
n598=  var %as = $iif(!$regex($1,/^%#/),$false,$true), %aw = $iif(!%as,$active,$1), %an = $iif(!%as,$1-,$2-)
n599=  if (%an = $null) {
n600=    if (%aw isin $hget(soulfly,away)) {
n601=      if (%return_msg) q_ describe %aw $ifmatch
n602=      q_ sockwrite -n $+(sf.,%aw) away %aw
n603=    }
n604=    else q_ sockwrite -n $+(sf.,%aw) away %aw $iif(%away_msg,%away_msg,[br])
n605=    hpp soulfly away %aw
n606=  }
n607=  else {
n608=    if (%aw isin $hget(soulfly,away)) {
n609=      describe %aw %an
n610=      unset %an
n611=    }
n612=    bway %aw %an
n613=  }
n614=}
n615=bway {
n616=  hpp soulfly away $1
n617=  q_ sockwrite -n $+(sf.,$1) away $1 $iif($2,$sfont($2-))
n618=}
n619=aaway {
n620=  var %awchn = $chan(0)
n621=  while (%awchn) {
n622=    away $chan(%awchn) $1-
n623=    dec %awchn
n624=  }
n625=}
n626=;conversion script from hex to mirc given to me by qwerty. Thank you
n627=_col {
n628=  if (!$1) return %c_
n629=  elseif ($1 isletter) {
n630=    if ($1 = olive) return 10
n631=    elseif ($1 = grey) return 14
n632=    elseif ($1 isin $_hcol) return $calc($findtok($_hcol,$1,1,44) - 1)
n633=  }
n634=  else {
n635=    var %i = 0, %c, %d = 200000, %one = $right($1,-1)
n636=    tokenize 46 $regsubex($1,/#?([a-f\d]{2})/gi,$base(\1,16,10) .)
n637=    while (%i < 16) {
n638=      tokenize 32 $1-3 $replace($rgb($color(%i)),$chr(44),$chr(32))
n639=      if $calc(($1 -$4)^2 + ($2 -$5)^2 + ($3 -$6)^2) < %d { %c = %i | %d = $v1 }
n640=      inc %i
n641=    }
n642=    if ($istok(1.0,%c,46)) return %c_
n643=    elseif (%c = 8) && (!$regex(%one,/F5C70A|F9DA60|F5C110|FFFACD|FFD700|FDE979|EEDD82|c68e17|e9ab17|fbb917|FECA2E|DAA520|F0E68C/i)) return %c_
n644=    else return %c
n645=  }
n646=}
n647=_ct return General.Computing.Interests.Lifestyles.City Chats.Entertainment.Peers.Religion.Romance.Sports/Health.News/Politics.Teens.Role Play.Unlisted
n648=_cat {
n649=  if ($1 = General) return GN
n650=  elseif ($1 = City Chats) return CC
n651=  elseif ($1 = Computing) return CP
n652=  elseif ($1 = Entertainment) return ET
n653=  elseif ($1 = Lifestyles) return LS
n654=  elseif ($1 = Interests) return IN
n655=  elseif ($1 = Peers) return PR
n656=  elseif ($1 = Religion) return RL
n657=  elseif (News* iswm $1) return NE
n658=  elseif ($1 = Romance) return RM
n659=  elseif (Sport* iswm $1) return SP
n660=  elseif ($1 = Unlisted) return UL
n661=  elseif ($1 = Teens) return TN
n662=  elseif ($1 = GN) return General
n663=  elseif ($1 = CP) return Computing
n664=  elseif ($1 = RM) return Romance
n665=  elseif ($1 = PR) return Peers
n666=  elseif ($1 = RL) return Religion
n667=  elseif ($1 = IN) return Interests
n668=  elseif ($1 = CC) return City Chats
n669=  elseif ($1 = LS) return Lifestyles
n670=  elseif ($1 = ET) return Entertainment
n671=  elseif ($1 = NE) return News/Politics
n672=  elseif ($1 = SP) return Sports/Health
n673=  elseif ($1 = UL) return Unlisted
n674=  elseif ($1 = RP) return RolePlay
n675=  elseif ($1 = TN) return Teens
n676=  elseif ($istok(RolePlay.Role Play,$1,46)) return RP
n677=}
n678=_lang {
n679=  if ($1 = Chinese) return zh
n680=  elseif ($1 = zh) return Chinese
n681=  elseif ($1 = Arabic) return ar
n682=  elseif ($1 = ar) return Arabic
n683=  elseif ($1 = Urdu) return ur
n684=  elseif ($1 = ur) return Urdu
n685=  elseif ($1 = Turkish) return tr
n686=  elseif ($1 = tr) return Turkish
n687=  elseif ($1 = Portuguese) return pt
n688=  elseif ($1 = pt) return Portuguese
n689=  elseif ($1 = Malayalam) return ml
n690=  elseif ($1 = ml) return Malayalam
n691=  elseif ($1 = Japanese) return ja
n692=  elseif ($1 = ja) return Japanese
n693=  elseif ($1 = Italian) return it
n694=  elseif ($1 = it) return Italian
n695=  elseif ($1 = Indonesian) return id
n696=  elseif ($1 = id) return Indonesian
n697=  elseif ($1 = Hindi) return hi
n698=  elseif ($1 = hi) return Hindi
n699=  elseif ($1 = Hebrew) return he
n700=  elseif ($1 = he) return Hebrew
n701=  elseif ($1 = Finnish) return fi
n702=  elseif ($1 = fi) return Finnish
n703=  elseif ($1 = Greek) return el
n704=  elseif ($1 = el) return Greek
n705=  elseif ($1 = Danish) return DA
n706=  elseif ($1 = da) return Danish
n707=  elseif ($1 = English) return en
n708=  elseif ($1 = en) return English
n709=  elseif ($1 = Dutch) return nl
n710=  elseif ($1 = nl) return Dutch
n711=  elseif ($1 = Spanish) return es
n712=  elseif ($1 = es) return Spanish
n713=  elseif ($1 = French) return fr
n714=  elseif ($1 = fr) return French
n715=  elseif ($1 = German) return de
n716=  elseif ($1 = de) return German
n717=}
n718=u_h {
n719=  var %l = 1, %r
n720=  while (%l <= $len($1-)) {
n721=    if (!$2) {
n722=      if ($mid($1-,%l,2) != 20) %r = $+(%r,$chr($base($mid($1-,%l,2),16,10)))
n723=      else %r = %r $chr($base($mid($1-,%l,2),16,10))
n724=    }
n725=    else %r = $+(%r,$chr($base($mid($1-,%l,2),16,10)))
n726=    inc %l 2
n727=  }
n728=  return %r
n729=}
n730=emote dialog $iif($dialog(emote),-v,-mh) emote emote
n731=emot editbox -pa $editbox($active) $1
n732=ctemp {
n733=  if (!$1-2) || ($1 !isnum) return
n734=  if ($2 = C) return $round($calc($1 * (9 / 5) + 32),1)
n735=  elseif ($2 = F) return $round($calc(($1 - 32) * (5 / 9)),1)
n736=}
n737=;OP_CHK
n738=op_chk {
n739=  if (%opchk. [ $+ [ $1 ] ]) return
n740=  set -u7 %opchk. [ $+ [ $1 ] ] $true
n741=  if ($nick($1,$me,')) && (!$hget(prot,propchk)) sockwrite -n $+(sf.,$1) PROP $1 locked
n742=  if ($nick($1,$me,' .)) {
n743=    hadd prot $+(mode,$1) $remove($chan($1).mode,d,r)
n744=    if (!$hget(soulfly,ax_add)) sockwrite -n $+(sf.,$1) access $1 add owner $address($me,3) 0 :Auto-Åxis $v_
n745=    prop $1 locked
n746=    axis.opchk $1
n747=    if ($hget(prot,propchk)) propchk $1
n748=    return
n749=  }
n750=  elseif ($nick($1,$me,@)) {
n751=    hadd prot $+(mode,$1) $remove($chan($1).mode,d,r)
n752=    if ($1 isin $hget(soulfly,ax_add)) sockwrite -n $+(sf.,$1) access $1 add host $address($me,3) 0 :Auto-Åxis $v_
n753=    prop $1 locked
n754=    axis.opchk $1
n755=    if ($hget(prot,propchk)) propchk $1
n756=  }
n757=  if ($hget(soulfly,auto_owner)) && ($hget(prot,$+(q,$1))) sockwrite -n $+(sf.,$1) ownerkey $1 $ifmatch
n758=  if ($hget(soulfly,auto_host)) && ($hget(prot,$+(o,$1))) sockwrite -n $+(sf.,$1) hostkey $1 $ifmatch
n759=}
n760=prof_chk {
n761=  var %on = $hn($1), %ou = $gettok($ini_array(lists\users\pid,pid,$gettok($ha($1),1,64)).chk,2,32)
n762=  if (%k-b) && $hget(prot,prokick_sex) {
n763=    if ($mid($3,2,1) = $hget(soulfly,prokick_sex)) || (($mid($3,2,1) isin N.U) && ($hget(prot,prokick_nogender))) {
n764=      if (%k-ban) access $2 add deny $gettok($1,2,33) $hget(prot,prok_b) :ProfileKick %on
n765=      if (%on !isop $2) kick $2 %on ProfileKick: (Incorrect Gender) %on
n766=    }
n767=  }
n768=  if ($3 = v-) {
n769=    if (%ou) sf_prof.get %ou webpage %on $4
n770=    else { set -u5 %prov. [ $+ [ %on ] ] $iif($4,$4,$true) | sockwrite -n $+(sf.,$2) PID %on }
n771=    return
n772=  }
n773=  if (%pro.mg.sex) set -u11 %pro_a. [ $+ [ %on ] ] $pro_($mid($3,2,1))
n774=  if (%pro.chk) {
n775=    if (%ou) sf_prof.get %ou v_pro %on %ou $2
n776=    else { set -u5 %pro. [ $+ [ %on ] ] $2 | sockwrite -n $+(sf.,$2) PID %on }
n777=  }
n778=}
n779=;QBAN [$1 = $nick][$2 = #][$3 = addy][$4 = reason]
n780=qban {
n781=  if ($1 = ^) axis_find $2 $4 $3 bk $5-
n782=  elseif ($sock($+(sf.,$2))) sockwrite -n $ifmatch access $2 add deny $3 1440 $+(:quickBan[,$1,] $4-,$crlf,kick) $2 $1 $+($4-,[,$1,])
n783=}
n784=qup {
n785=  if (!$1) { echo %_cc -a ERROR(qUp):No Channel Name | return }
n786=  if (!$nick($1,$me,' .)) { echo %_cc -a ERROR(qUp):You do not have sufficient privileges in $hget(soulfly,$1) . | return }
n787=  if ($2 = q) goto ownerkey
n788=  elseif ($2 = o) goto hostkey
n789=  else set -u7 %qupx $true
n790=  :ownerkey {
n791=    if ($hget(prot,propchk)) && ($_818($1,ownerkey)) {
n792=      if (%qupx) goto hostkey
n793=      else return
n794=    }
n795=    hadd prot $+(q,$1) $rkey
n796=    sockwrite -n $+(sf.,$1) prop $1 ownerkey $+(:,$hget(SoulFly,$+(q,$1)))
n797=    if (%qupx) goto hostkey
n798=    return
n799=  }
n800=  :hostkey {
n801=    if ($hget(prot,propchk)) && ($_818($1,hostkey)) return
n802=    hadd prot $+(o,$1) $rkey
n803=    if (!$_818($1,hostkey)) sockwrite -n $+(sf.,$1) prop $1 hostkey $+(:,$hget(SoulFly,$+(o,$1)))
n804=  }
n805=}
n806=;ERROR;;
n807=error {
n808=  if ($dialog(error)) dialog -x error error
n809=  if ($hget(SoulFly,errorx)) && (Message Notification* !iswm $2-) return
n810=  if ($1) && (-* !iswm $1) { set %err_r $1- | dialog $iif($dialog(error),-v,-mh) error error }
n811=  if ($mid($1,3) isnum) set %err_d $ifmatch
n812=  if (-* iswm $1) {
n813=    var %erx = $mid($1,2,1)
n814=    if (%erx = e) {
n815=      $iif(!$hget(soulfly,errorsound),splay sounds\notify.wav)
n816=      if ($hget(SoulFly,error)) return
n817=      set %err_t ERROR:
n818=    }
n819=    elseif (%erx = n) {
n820=      if ($hget(SoulFly,notice)) return
n821=      set %err_t NOTICE:
n822=    }
n823=    elseif (%erx = b) {
n824=      if ($hget(soulfly,buzz_p)) return
n825=      set %err_t BUZZ!!!!
n826=    }
n827=    elseif (%erx = u) {
n828=      if ($hget(soufly,error_u)) return
n829=      set %err_t SoulFly Updates
n830=    }
n831=    elseif (%erx = k) set %err_t Uh Oh!
n832=    if ($2) set %err_r $2-
n833=    dialog $iif($dialog(error),-ov,-mo) error error
n834=  }
n835=}
n836=error_d {
n837=  if (!$dialog(error)) return
n838=  dec %err_d
n839=  if (%err_d = 0) { unset %err_* | $iif($dialog(error),dialog -x error error) | return }
n840=  did -ra error 6 %err_d
n841=}
n842=mn_err {
n843=  if ($1 = err) {
n844=    $iif(!$hget(SoulFly,error),hadd,hdel) SoulFly error $true
n845=    else error -n Error Messages are now $iif(!$hget(SoulFly,error),ON,OFF)
n846=  }
n847=  elseif ($1 = errx) {
n848=    $iif(!$hget(SoulFly,errorx),hadd,hdel) SoulFly errorx $true
n849=    else error -n $v_ $crlf $crlf $chr(160) PopUp Messaging is now $iif(!$hget(SoulFly,errorx),ON,OFF)
n850=  }
n851=  elseif ($1 = not) {
n852=    $iif(!$hget(SoulFly,notice),hadd,hdel) SoulFly notice $true
n853=    else error -n $v_ $crlf $crlf SoulFly Notices are now $iif(!$hget(SoulFly,notice),ON,OFF)
n854=  }
n855=  elseif ($1 = upd) {
n856=    $iif(!$hget(SoulFly,error_u),hadd,hdel) SoulFly error_u $true
n857=    else error -n $v_ $crlf $crlf SoulFly Update Notices are now $iif(!$hget(SoulFly,error_u),ON,OFF)
n858=  }
n859=  elseif ($1 = dur) {
n860=    if ($input(Please Enter The Length In Seconds,eoi,Error Message Auto-Close Change Duration)) {
n861=      if ($ifmatch != $null) set %error_dur $ifmatch
n862=    }
n863=  }
n864=}
n865=prn {
n866=  if (!$nick($1,$me,')) || (!$1-2) return
n867=  prop $1 $iif($_818($1,$2),unlock,lock) $2
n868=  echo %_cc -t $1 $+([,$hget(soulfly,$1) PROP]) $chr(160) $iif($_818($1,$2),Unlocked,Locked) 11 $2 
n869=  prop $1 locked
n870=}
n871=mn_nicks {
n872=  if ($1 = splay) { error -n Buzz Sound: $crlf $crlf $nopath($hget(soulfly,buzz)) | splay $hget(SoulFly,buzz) }
n873=  elseif ($1 = qsound) {
n874=    if ($hget(soulfly,query)) hdel soulfly query
n875=    else {
n876=      if ($hget(soulfly,whisper)) hdel soulfly whisper
n877=      if (!$hget(soulfly,query)) hadd soulfly query $sfile(sounds\,Whisper Sound)
n878=    }
n879=  }
n880=  elseif ($1 = bsound) {
n881=    $iif($hget(soulfly,buzz),hdel,hadd) Soulfly buzz $iif(!$ifmatch,$sfile(sounds\,Buzz Sound))
n882=    error -n $crlf $crlf $chr(160) Buzz Sound is now $iif($hget(SoulFly,buzz),On,Off)
n883=  }
n884=  elseif ($1 = bcsound) hadd soulfly buzz $sfile(sounds\,Buzz Sound)
n885=  elseif ($1 = qcsound) {
n886=    hadd soulfly query $sfile(sounds\,Whisper Sound)
n887=    splay $hget(soulfly,query)
n888=    error -n [Sounds] $v_ $crlf $crlf Whisper Sounds Are Now $iif($hget(soulfly,query),On,Off)
n889=  }
n890=  elseif ($1 = HL) {
n891=    if ($hget(soulfly,hl_sound)) && ($2 != x) hdel soulfly hl_sound
n892=    elseif ($sfile(sounds/,Tag Sound)) {
n893=      hadd soulfly hl_sound $ifmatch
n894=      if ($file($hget(soulfly,hl_sound)).longfn) splay $qt($ifmatch)
n895=    }
n896=    error -n $crlf Tagged Sound is now $iif($hget(soulfly,hl_sound),$nopath($qt($ifmatch)),disabled.)
n897=  }
n898=  elseif ($1 = jsound) {
n899=    var %js = $+(joinsound,$2), %sfile = $iif(!$hget(soulfly,%js),$sfile(sounds\,JoinSound))
n900=    if (%sfile = $null) { hdel SoulFly %js | error -n Join Sound for $hget(soulfly,$2) $crlf $crlf $str($chr(160),16) are Off | return }
n901=    hadd SoulFly %js %sfile
n902=    error -n Join Sound for $hget(soulfly,$2) $crlf $crlf $str($chr(160),16) $iif($hget(soulfly,%js),On,Off)
n903=    if ($hget(soulfly,%js)) splay $ifmatch
n904=  }
n905=  elseif ($1 = csound) {
n906=    hadd SoulFly $+(joinsound,$2) $sfile(sounds\,JoinSound,$nopath($hget(soulfly,$+(joinsound,$2))))
n907=    splay $hget(soulfly,$+(joinsound,$2))
n908=    error -n Join Sound for $hget(soulfly,$2) $crlf $crlf $str($chr(160),16) $iif($hget(soulfly,$+(joinsound,$2)),On,Off)
n909=  }
n910=  elseif ($1 = user) {
n911=    $iif(!%user.st,set,unset) %user.st $true
n912=    if (%user.st) && ($window(@user)) window -c @user
n913=    elseif (!%user.st) && (!$window(@user)) {
n914=      window -efHk0l58nz @User -1 -1
n915=      aline -c15lp @User TIME : NICKNAME : ADDRESS : ROOM
n916=      echo %_cc @User Welcome to the SoulFly User List $me
n917=      echo 8 @user Move your mouse cursor to the top right to view the recently joined users list.
n918=      editbox @user Enter Gatekeeper Address to search for a user.
n919=    }
n920=  }
n921=}
n922=;Åxis
n923=ax_clear {
n924=  if ($me !isop $1) return
n925=  var %ax_
n926=  if (!$2) echo %_cc $1 $v_ -=- Clearing Åxis [All]
n927=  else {
n928=    if ($2 = q) %ax_ = Owner
n929=    elseif ($2 = o) %ax_ = Host
n930=    elseif ($2 = v) %ax_ = Voice
n931=    elseif ($2 = g) %ax_ = Grant
n932=    elseif ($2 = d) %ax_ = Deny
n933=    echo %_cc $1 $str(%c160,7) $v_ -=- Clearing Åxis $+([,%ax_,])
n934=  }
n935=  .raw access $1 clear %ax_
n936=}
n937=axis {
n938=  var %ax_c $iif(!$1,$active,$1)
n939=  if (!$regex(%ax_c,/^%#/)) { echo %_cc -t $str($chr(160),4) > 4Åxis ERROR: %ax_c Is Not A Valid Channel | return }
n940=  if (!$nick(%ax_c,$me,' . @)) { echo %_cc -t %ax_c $str($chr(160),4) > 4Åxis ERROR: You are not a host in $hget(soulfly,%ax_c) | return }
n941=  set %axis.chan %ax_c
n942=  set %axis.id $hget(soulfly,%ax_c)
n943=  if (!$hget($+(axis.,%axis.id))) hmake $+(axis.,%axis.id) 110
n944=  if ($dialog(axis)) {
n945=    dialog -t axis Åxis $chr(160) $+([,$hget(soulfly,%ax_c),])
n946=    axis.refresh
n947=  }
n948=  else {
n949=    if (!$2) dialog $iif($dialog(axis),-v,-mh) axis axis
n950=    if (!$var(%fd.*,1)) access %ax_c list
n951=  }
n952=}
n953=axis.opchk {
n954=  if ($me !isop $1) {
n955=    if ($timer($+(autoax,$1))) $+(.timerautoax,$1) off
n956=  }
n957=  else {
n958=    if (!$hget($+(axis.,$hget(soulfly,$1)))) axis.make $hget(soulfly,$1) $1
n959=    if (!$timer($+(autoax,$1))) && (($1 !isin $hget(soulfly,ax_list)) || ($1 isin $hget(soulfly,ax_add))) $+(.timerautoax,$1) 0 180 /auto_ax $1
n960=  }
n961=}
n962=auto_ax {
n963=  if ($me !isop $1) {
n964=
n965=    if ($timer($+(autoax,$1))) $+(.timerautoax,$1) off
n966=  }
n967=  elseif ($1 !isin $hget(soufly,ax_add)) && ($1 isin $hget(soulfly,ax_list)) $+(.timerautoax,$1) off
n968=  else {
n969=    if ($1 isin $hget(soufly,ax_add)) && (!$axis_find($me,$address($me,3),$1)) access $1 add $iif($nick($1,$me,. '),owner,host) $address($me,3) 0 :Auto_Åxis $me
n970=    if ($1 !isin $hget(soulfly,ax_list)) && ($numtok($hget(prot,$1),44) < 3) { $+(.timerax_list,$1) 1 2 $iif($numtok($hget(prot,$1),44) < 3,.raw access $1 list) }
n971=  }
n972=}
n973=axis.make {
n974=  if ($me !isop $2) return
n975=  if (!$hget($+(axis.,$1))) hmake $+(axis.,$1) 30
n976=  if (!%axismade. [ $+ [ $1 ] ]) && ($hget($+(axis.,$1))) set %axismade. [ $+ [ $1 ] ] $true
n977=  if (%axismade. [ $+ [ $1 ] ]) access $2 list
n978=}
n979=axis.refresh {
n980=  unset %axisfin
n981=  dialog $iif($dialog(axis),-v,-mh) axis axis
n982=  if ($dialog(axis)) did -zr axis 2
n983=  .timeraxis.refresh -m 1 500 /axis.list
n984=}
n985=axis.list access %axis.chan list
n986=ax_add {
n987=  if ($hget($1,$2)) hadd $1 $+($2,$3) $3-
n988=  else hadd $1 $2 $3-
n989=}
n990=axis.remove {
n991=  hdel $+(axis.,%axis.id) $iif($len($1) > 10,$remove($1,6,$chr(32),*,!,$),$1)
n992=  access %axis.chan delete $2 $1
n993=  axis.refresh
n994=}
n995=axis.add.acc {
n996=  var %axis.add.3 = $$?="Enter Level: owner,host,deny,voice,grant", %axis.add.4 = $$?="Enter Address:", %axis.add.5 = $$?="Enter Amount of Time: 0 = infinite", %axis.add.7 = $iif($input(Comments:,e,Axis Add Entry) = $null,set by $me,$v1)
n997=  access %axis.chan add %axis.add.3 %axis.add.4 %axis.add.5 $iif(%axis.add.7,$+(:,$v1))
n998=  axis.refresh
n999=}
n1000=axis.load {
n1001=  if (!$1) var %al = $qt($sfile($+(lists\axis\,%axis.id,.txt),Select File to Load,Load))
n1002=  if ($1) {
n1003=    var %chax = $iif($me ison $1,$hget(soulfly,$1),$1)
n1004=    if ($qt($file($+(lists\axis\,%chax,.txt)).shortfn)) var %al = $ifmatch, %axis.id = $hget(soulfly,$1), %axis.chan = $1
n1005=    else {
n1006=      query $2
n1007=      msg $2 Sorry $+($2,$chr(44)) there is no saved Åxis List for $hget(soulfly,$1)
n1008=      window -c $2
n1009=    }
n1010=  }
n1011=  if (!%al) return
n1012=  var %axx = $+(axis.,%axis.id)
n1013=  hfree %axx | hmake %axx 30 | hload %axx %al
n1014=  access %axis.chan clear
n1015=  if ($dialog(axis)) did -cr axis 2
n1016=  var %alh = $hget(%axx,0).item, %alh_i = 1, %aL_x
n1017=  if ($dialog(axis)) did -ra axis 65 LIST LOADING FROM $nopath(%al)
n1018=  while (%alh_i <= %alh) {
n1019=    if ($dialog(axis)) did -ca axis 2 $gettok($hget(%axx,%alh_i).data,1,32) $chr(9) $gettok($hget(%axx,%alh_i).data,2,32) $chr(9) $gettok($hget(%axx,%alh_i).data,3,32) $chr(9) $gettok($hget(%axx,%alh_i).data,5-,32)
n1020=    q_ access %axis.chan add $gettok($hget(%axx,%alh_i).data,1-3,32) $strip($bdc($gettok($hget(%axx,%alh_i).data,5-,32)))
n1021=    inc %alh_i
n1022=  }
n1023=  if (!$dialog(axis)) return
n1024=  did -c axis 2 2
n1025=  did -r axis 65
n1026=}
n1027=;Axis_Find
n1028=axis_find {
n1029=  ;1=channel 2=full address 3=ban length 4= message
n1030=  ;prop .b -ban, .k kick, .bk kickban, .del delete only
n1031=  if ($me !isop $1) return
n1032=  if ($istok($hget(soulfly,ax_list),$1,46)) echo $1 Axis Find feature requires Axis Auto Update to be on.
n1033=  elseif (!$hget($+(axis.,$hget(soulfly,$1)))) { q_ axis $1 x | .timeraf 1 1 noop $+($axis_find($1,$2,$3,$4).,$prop) }
n1034=  else {
n1035=    var %a_tbl = $+(axis.,$hget(soulfly,$1)), %a_tot, %a_i = 1, %p_ = $prop, %a_h, %a_st
n1036=    if ($2 = *) var %a_xl = $true
n1037=    else var %a_nk = $hn($2), %a_dnk = $bdc(%a_nk), %a_id = $hi($ial(%a_nk)), %a_gt = $right(%a_id,5), %a_gk = $left(%a_id,5)
n1038=    while ($hget(%a_tbl,%a_i).item) {
n1039=      %a_st = $ifmatch
n1040=      if (%a_xL) || ($regex(%a_st,/(?= $+ %a_gt $+ )|(?= $+ %a_nk $+ )|(?= $+ %a_dnk $+ )|(?= $+ %a_gk $+ )/)) {
n1041=        %a_h = $hget(%a_tbl,%a_st)
n1042=        inc %a_tot
n1043=        if ($3 = %a_tot) {
n1044=          if (%p_ = del) { q_ access $1 delete $gettok(%a_h,1-2,32) | goto list }
n1045=          elseif (%p_ isin i) || ($2 = *) return %a_h
n1046=        }
n1047=        if (!%a_xL) && (!%p_) return %a_h
n1048=        if (b isin %p_) || ((!$3) && (%p_ = del)) q_ access $1 delete $gettok(%a_h,1-2,32)
n1049=      }
n1050=      inc %a_i
n1051=    }
n1052=    if ($3 = 0) && ((%p_ isin tot.i) || (%a_xL)) return %a_tot
n1053=    if (!%p_) return $false
n1054=    if (b isin %p_) access $1 add deny $ha($2) $iif($3,$3,1440) $iif($4,$+(:,$4-))
n1055=    if (k isin %p_) && (%a_nk ison $1) $+(.timerkick,$1,%a_nk) -m 1 600 kick $1 %a_nk $iif($4,$4-)
n1056=  }
n1057=  return
n1058=  :list
n1059=  q_ access $1 list
n1060=}
n1061=h_ {
n1062=  var %l = 1, %r
n1063=  while (%l <= $len($1-)) {
n1064=    %r = $+(%r,$base($asc($mid($1-,%l,1)),10,16,2))
n1065=    inc %l
n1066=  }
n1067=  return %r
n1068=}
n1069=;modified from NuclearMSN by Vexation
n1070=axis.save {
n1071=  if ($1) {
n1072=    if (!$2) && ($exists($+(lists\axis\,$+($hget(soulfly,$1),_ax),.txt))) return
n1073=    if ($me isop $1) {
n1074=      hsave -o $+(axis.,$hget(soulfly,$1)) $+(lists\axis\,$hget(soulfly,$1),_ax,.txt)
n1075=      echo %_cc -t $1 4 Åxis List: $chr(160) Saved $hget(soulfly,$1) Åxis List
n1076=    }
n1077=  }
n1078=  else {
n1079=    :axis_save
n1080=    var %f = $sfile($+(lists\axis\,%axis.id,.txt),Save Åxis List,Save)
n1081=    if (%f = $null) return
n1082=    var %f = $qt($iif(*.txt iswm %f,%f,$iif($len($gettok(%f,1,46)) = 3,$+($left(%f,-4),.txt),$+(%f,.txt))))
n1083=    if ($exists(%f)) {
n1084=      if (!$input(File Exists. $crlf Would you like to overwrite it?,wd,SoulFly Åxis Save)) goto axis_save
n1085=      else continue
n1086=    }
n1087=    hsave -o $+(axis.,%axis.id) %f
n1088=    if ($dialog(axis)) did -ra axis 65 LIST SAVED TO $nopath($gettok(%f,-1,92))
n1089=    .timeraxis.save 1 5 if ($dialog(axis)) did -r axis 65
n1090=  }
n1091=}
n1092=;v_RRLIST & v_ADDRR developed by Vexation, modified for VSIXc/BuzzenV2 by Travis
n1093=v_addrr {
n1094=  var %rms = $var(%vrr.*,0), %c = 1
n1095=  while (%c <= %rms) {
n1096=    if (%vrr. [ $+ [ %c ] ] = join $1) { %rms = %c | goto subrec }
n1097=    inc %c
n1098=  }
n1099=  if (%rms < 10) inc %rms
n1100=  :subrec
n1101=  while (%rms >= 1) {
n1102=    if (%rms = 1) { set %vrr.1 join $1 | return }
n1103=    else set %vrr. [ $+ [ %rms ] ] %vrr. [ $+ [ $calc(%rms - 1) ] ]
n1104=    dec %rms
n1105=  }
n1106=}
n1107=ccl {
n1108=  if ($istok(begin.end,$1,46)) return
n1109=  if ($1 <= 15) return $iif($1 = %_cc,$style(1)) Color( $1 ):%_cc = $1
n1110=}
n1111=
n1112=pp_ {
n1113=  if ($2 = r) && (%vrr. [ $+ [ $1 ] ]) return $iif($ifmatch !isnum,$hcd($ifmatch)) :%vrr. [ $+ [ $1 ] ]
n1114=  elseif ($2 = c) && ($gettok($_ct,$1,46)) return $iif($ifmatch !isnum,$ifmatch) :vlist $_cat($ifmatch)
n1115=  elseif ($2 = a) && (%addr. [ $+ [ $1 ] ]) return $iif($ifmatch = %lastadd,$style(1)) $readini(soulfly.ini,accts,%addr. [ $+ [ $1 ] ]) :sf_re %addr. [ $+ [ $1 ] ]
n1116=  elseif ($2 = f) && ($gettok(%fav,$1,44)) return $iif($hget(soulfly,$+(%,$ifmatch)),$style(1)) $iif($gettok(%fav,$1,44) !isnum,$hcd($v1)) :join $gettok(%fav,$1,44)
n1117=  elseif ($2 = i) && ($gettok(%idl. [ $+ [ %lastadd ] ],$1,44)) return $iif($me ison $+(%,$ifmatch),$style(1)) $iif($gettok(%idl. [ $+ [ %lastadd ] ],$1,44) !isnum,$hcd($v1)) :join $gettok(%idl. [ $+ [ %lastadd ] ],$1,44)
n1118=}
n1119=v_rrlist return $pp_($1,r)
n1120=addpp return $pp_($1,a)
n1121=fpp return $pp_($1,f)
n1122=ipp return $pp_($1,i)
n1123=ctpp return $pp_($1,c)
n1124=faves {
n1125=  if ($1 isin %fav) { set %fav $remtok(%fav,$1,1,44) | error -n Favorites:, $crlf $chr(160) $crlf $hcd($1) $crlf has been removed from your Favorites list. }
n1126=  else { set %fav $addtok(%fav,$1,44) | error -n Favorites:, $crlf $chr(160) $crlf $hcd($1) $crlf has been added to your Favorites list. }
n1127=}
n1128=idl {
n1129=  if ($1 isin %idl. [ $+ [ %lastadd ] ]) { set %idl. [ $+ [ %lastadd ] ] $remtok(%idl. [ $+ [ %lastadd ] ],$1,1,44) | error -n AutoJoin: $crlf $chr(160) $crlf $hcd($1) $crlf $str($chr(160),6) has been removed from your Idle list. }
n1130=  else { set %idl. [ $+ [ %lastadd ] ] $addtok(%idl. [ $+ [ %lastadd ] ],$1,44) | error -n AutoJoin:, $crlf $chr(160) $crlf $hcd($1) $crlf $str($chr(160),6) has been added to your Idle list. }
n1131=}
n1132=hop {
n1133=  var %h_chan = $iif($me !ison $1,$active,$1)
n1134=  set -u6 %hop [ $+ [ %h_chan ] ] $true
n1135=  echo -ct info %h_chan $str($chr(160),2) ... Refreshing %h_chan ...
n1136=  if ($sock($+(sf.,%h_chan))) sockwrite -n $+(sf.,%h_chan) PART $+(%h_chan,$crlf,join) %h_chan
n1137=  else jroom %h_chan
n1138=}
n1139=topic {
n1140=  var %tc = $iif($regex($1,/^%#/),$1,$active)
n1141=  if ($me !ison %tc) echo %_cc -ta You are not in %tc
n1142=  elseif ($me !isop %tc) echo %_cc -ta You are not a host in %tc
n1143=  else sockwrite -n $+(sf.,%tc) prop %tc topic $iif($regex($1,/^%#/),$2-,$1-)
n1144=}
n1145=_cline {
n1146=  if ($window($2)) && ($me ison $2) cline $1-
n1147=}
n1148=uptime { msg $active mIRC $uptime(mirc,1) | msg $active System $uptime(system,1) }
n1149=notepad {
n1150=  if (!$isfile(sf_notepad.txt)) write sf_notepad.txt SoulFly NotePad
n1151=  run sf_notepad.txt
n1152=}
n1153=ini_array {
n1154=  var %arry_id = $+(arry,$1), %arr_p = $prop, %arr_nm, %arr_t, %arr_xn
n1155=  if (!$hget(soulfly,%arry_id)) hadd soulfly %arry_id 1
n1156=  :array_num
n1157=  %arr_nm = $+($1,$hget(soulfly,%arry_id),.ini)
n1158=  if ($ini(%arr_nm,$2,0) >= 1333) { hinc soulfly %arry_id | goto array_num }
n1159=  %arr_t = $hget(soulfly,%arry_id)
n1160=  while (%arr_t) {
n1161=    %arr_xn = $+($1,%arr_t,.ini)
n1162=    if ($readini(%arr_xn,$2,$3)) goto match
n1163=    dec %arr_t
n1164=  }
n1165=  if (%arr_p = chk) || (%arr_p = xx) return $false
n1166=  %arr_xn = %arr_nm
n1167=  :match {
n1168=    if (%arr_p = chk) return %arr_xn $readini(%arr_xn,$2,$3)
n1169=    elseif (%arr_p = add) writeini -n %arr_xn $2 $3 $addtok($gettok($readini(%arr_xn,$2,$3),1-9,7),$4,7)
n1170=    elseif (%arr_p = del) writeini -n %arr_xn $2 $3 $remtok($readini(%arr_xn,$2,$3),$4,7)
n1171=  }
n1172=}
n1173=nicks {
n1174=  if ($1 !ison $3) || ($hget(prot,$3) > 3) return
n1175=  if (!$window(@user)) && (!%user.st) window -efHk0l58nz @User -1 -1
n1176=  var %nL_a = $gettok($gettok($2,1,64),-1,33), %nl_m = $iif($hget(soulfly,nl),$v1,echo)
n1177=  if (>* iswm $1) {
n1178=    if (!%user.st) && ($window(@user)) aline -c0pl @User $+(9[,$4,]:8Un-Reg:11) $1 :10 $2 :8 $hget(soulfly,$3) 
n1179=    if ($3 isin $hget(SoulFly,nl.msg)) {
n1180=      %nl_m $3 Welcome $1 $+ ! Please register a nickname!
n1181=      %nl_m $3 https://www.irc-community.com/register
n1182=    }
n1183=    return
n1184=  }
n1185=  if (^* !iswm $1) && ($1 ison $3) && (!%pro_nk. [ $+ [ $1 ] ]) && (!$ini_array(lists\users\pid,pid,%nL_a).chk) {
n1186=    set -u5 %pro_nk. [ $+ [ $1 ] ] %nL_a
n1187=    q_ sockwrite -n $+(sf.,$3) PID $1
n1188=  }
n1189=  var %nL_list = $ini_array(lists\users\nix,nix,%nL_a).chk, %nL_2 = $gettok(%nL_list,2,32), %nL_cv = $numtok(%nL_2,7)
n1190=  if (!%nL_List) {
n1191=    noop $ini_array(lists\users\nix,nix,%nL_a,$1).add
n1192=    if (!%user.st) && ($window(@user)) aline -c0pl @User $+(9[,$4,]:8[New]:11) $1 :10 $2 :8 $hget(soulfly,$3) 
n1193=    if ($3 isin $hget(SoulFly,nl.msg)) %nl_m $3 [NickLog][New User] $1 Welcome to $+($hget(soulfly,$3),!)
n1194=    return
n1195=  }
n1196=  if (%nl_cv >= 10) { %nl_2 = $+($gettok(%nL_2,1-2,7),$chr(7),$gettok(%nL_2,4-,7)) | %nl_cv = $calc(%nl_cv - 1) }
n1197=  elseif ($right($1,3) isnum) && ($1 !isnum) {
n1198=    while (%nL_cv) {
n1199=      if ($remove($1,$gettok(%nL_2,%nl_cv,7)) isnum) {
n1200=        if ($1 isin %nL_2) && ($numtok(%nL_2,7) > 1) writeini -n $gettok(%nL_list,1,32) nix %nL_a $remtok(%nL_2,$1,7)
n1201=        goto back
n1202=      }
n1203=      dec %nl_cv
n1204=    }
n1205=    if ($1 isin %nl_2) goto back
n1206=    else goto clone
n1207=  }
n1208=  if ($1 isin %nl_2) goto back
n1209=  else goto clone
n1210=  :back {
n1211=    if (!%user.st) && ($window(@user)) aline -c0lp @User $+(9[,$4,]:8Return:11) $1 :10 $2 :8 $hget(soulfly,$3) 
n1212=    if ($3 isin $hget(SoulFly,nl.msg)) %nl_m $3 [NickLog][Return User] $1 Welcome Back! $iif($numtok(%nL_2,7) > 1,:aka: $replace(%nL_2,$chr(7),$utfencode($chr(149))))
n1213=    return
n1214=  }
n1215=  :clone {
n1216=    if ($1 !isnum) {
n1217=      if ($right($1,6) isnum) var %nl_xt = $left($1,-6)
n1218=      if ($right($1,5) isnum) var %nl_xt = $left($1,-5)
n1219=      else var %nl_xt = $1
n1220=    }
n1221=    else var %nl_xt = $1
n1222=    noop $ini_array(lists\users\nix,nix,%nL_a,%nl_xt).add
n1223=    if ($3 isin $hget(SoulFly,nl.msg)) %nl_m $3 [NickLog][CLONE] - $1 - $iif($numtok(%nL_2,7) > 1,:aka: $replace($remove(%nL_2,$1),$chr(7),$utfencode($chr(149))))
n1224=    if (!%user.st) && ($window(@user)) aline -c0lp @User $+(9[,$4,]:4Cloned:11) $1 :10 $2 :8 $hget(soulfly,$3) 
n1225=    if ($3 isin $hget(soulfly,nlhost)) {
n1226=      var %nl_o = $numtok($hget(soulfly,nl_host),46)
n1227=      while (%nL_o) {
n1228=        var %nL_n = $gettok($hget(soulfly,nl_host),%nL_o,46)
n1229=        if (%nL_n ison $3) q_ notice $3 %nL_n [NickLog][CLONE] - $1 - $iif($numtok(%nL_2,7) > 1,:aka: $replace($remove(%nL_2,$1),$chr(7),$utfencode($chr(149))))
n1230=        dec %nL_o
n1231=      }
n1232=    }
n1233=  }
n1234=}
n1235=user_win {
n1236=  if (>* iswm $1) { echo 0 @user Sorry, I do not store Guest Information. | return }
n1237=  var %ah_ = $gettok($gettok($2,1,64),-1,33), %u_ad $1 $2, %u_nix = $gettok($ini_array(lists\users\nix,nix,$gettok($2,1,64)).chk,2,32), %n_g = $numtok(%u_nix,7)
n1238=  clear @user | echo 0 @user Nickname: 0,10 $1 
n1239=  echo @user $chr(160) | echo 0 @user Gatekeeper: 0,10 %c160 $2 %c160 
n1240=  echo @user $chr(160)
n1241=  echo @user $chr(160)
n1242=  echo 0 @user Channel: 0,10 $hfind(soulfly,$left($right($gettok($sline(@user,1),-1,58),-3),-2) ,1).data 
n1243=  echo @user $chr(160) | echo 0 @user $chr(160) $chr(149) NickLog $chr(149) | echo @user $chr(160)
n1244=
n1245=  while (%n_g) {
n1246=    echo 0 @user $+($str(%c160,5),$utfencode($chr(149))) 0,2 $gettok(%u_nix,%n_g,7) 
n1247=    echo @user $chr(160)
n1248=    dec %n_g
n1249=  }
n1250=  echo @user $chr(160) | echo @user $chr(160)
n1251=  if (>* iswm $1) echo 9 @user $str($chr(160),4) Staff Do Not Have Profiles.
n1252=  else echo 0 @user $str($chr(160),4) >> 9 Profile  <<
n1253=  echo @user $chr(160) | echo @user $chr(160)
n1254=}
n1255=em_cb {
n1256=  if ($2 = sclick) {
n1257=    var %xmx = $gettok($xdialog(emote).mouse,1,32), %xmy = $gettok($xdialog(emote).mouse,2,32)
n1258=    if (%xmy isnum 0-31) {
n1259=      if (%xmx isnum 0-34) emot (i)
n1260=      elseif (%xmx isnum 37-83) emot (hf)
n1261=      elseif (%xmx isnum 84-107) emot :rb
n1262=      elseif (%xmx isnum 112-141) emot :w:
n1263=      elseif (%xmx isnum 147-167) emot #sp
n1264=      elseif (%xmx isnum 187-236) emot ^^:
n1265=      elseif (%xmx isnum 244-278) emot (bu)
n1266=      elseif (%xmx isnum 286-314) emot (bs)
n1267=      elseif (%xmx isnum 317-342) emot (mo)
n1268=      elseif (%xmx isnum 345-376) emot (gh)
n1269=    }
n1270=    elseif (%xmy isnum 32-58) {
n1271=      if (%xmx isnum 1-28) emot :)
n1272=      elseif (%xmx isnum 29-57) emot (::)
n1273=      elseif (%xmx isnum 58-86) emot :D
n1274=      elseif (%xmx isnum 87-114) emot *-)
n1275=      elseif (%xmx isnum 115-142) emot :(
n1276=      elseif (%xmx isnum 145-178) emot :'(
n1277=      elseif (%xmx isnum 179-208) emot (us)
n1278=      elseif (%xmx isnum 210-238) emot (a)
n1279=      elseif (%xmx isnum 239-265) emot ^o)
n1280=      elseif (%xmx isnum 267-293) emot :|
n1281=      elseif (%xmx isnum 294-322) emot :S
n1282=      elseif (%xmx isnum 323-350) emot :o
n1283=      elseif (%xmx isnum 351-380) emot :@
n1284=    }
n1285=    elseif (%xmy isnum 59-85) {
n1286=      if (%xmx isnum 1-29) emot -o
n1287=      elseif (%xmx isnum 30-60) emot :^)
n1288=      elseif (%xmx isnum 61-90) emot :P
n1289=      elseif (%xmx isnum 91-120) emot ~o
n1290=      elseif (%xmx isnum 121-146) emot ;)
n1291=      elseif (%xmx isnum 147-174) emot (h)
n1292=      elseif (%xmx isnum 175-203) emot 8o|
n1293=      elseif (%xmx isnum 204-232) emot ys)
n1294=      elseif (%xmx isnum 233-260) emot |n)
n1295=      elseif (%xmx isnum 261-288) emot |^:
n1296=      elseif (%xmx isnum 289-317) emot 8-)
n1297=      elseif (%xmx isnum 318-345) emot 8-|
n1298=      elseif (%xmx isnum 346-381) emot (fl)
n1299=    }
n1300=    elseif (%xmy isnum 86-113) {
n1301=      if (%xmx isnum 1-37) emot (6)
n1302=      elseif (%xmx isnum 38-72) emot |-)
n1303=      elseif (%xmx isnum 73-101) emot :$
n1304=      elseif (%xmx isnum 102-128) emot :-#
n1305=      elseif (%xmx isnum 129-157) emot +o(
n1306=      elseif (%xmx isnum 158-202) emot :~
n1307=      elseif (%xmx isnum 203-249) emot ):~
n1308=      elseif (%xmx isnum 250-281) emot :g)
n1309=      elseif (%xmx isnum 282-312) emot :h)
n1310=      elseif (%xmx isnum 313-378) emot -@)
n1311=    }
n1312=    elseif (%xmy isnum 114-146) {
n1313=      if (%xmx isnum 1-47) emot (dk)
n1314=      elseif (%xmx isnum 48-75) emot (omg)
n1315=      elseif (%xmx isnum 76-105) emot (al)
n1316=      elseif (%xmx isnum 106-145) emot (g)
n1317=      elseif (%xmx isnum 146-182) emot :br
n1318=      elseif (%xmx isnum 183-237) emot (brb)
n1319=      elseif (%xmx isnum 238-297) emot (as)
n1320=      elseif (%xmx isnum 298-339) emot |w
n1321=      elseif (%xmx isnum 340-380) emot (tu)
n1322=    }
n1323=    elseif (%xmy isnum 147-173) {
n1324=      if (%xmx isnum 1-45) emot (ks)
n1325=      elseif (%xmx isnum 49-75) emot (k)
n1326=      elseif (%xmx isnum 76-104) emot ({)
n1327=      elseif (%xmx isnum 105-133) emot (})
n1328=      elseif (%xmx isnum 134-160) emot (L)
n1329=      elseif (%xmx isnum 161-191) emot (U)
n1330=      elseif (%xmx isnum 192-241) emot (au)
n1331=      elseif (%xmx isnum 242-291) emot (@)
n1332=      elseif (%xmx isnum 292-326) emot (&)
n1333=      elseif (%xmx isnum 327-354) emot (sk)
n1334=      elseif (%xmx isnum 355-380) emot :y
n1335=    }
n1336=    elseif (%xmy isnum 174-208) {
n1337=      if (%xmx isnum 1-43) emot (s)
n1338=      elseif (%xmx isnum 44-84) emot (r*)
n1339=      elseif (%xmx isnum 85-128) emot (*)
n1340=      elseif (%xmx isnum 129-181) emot $+($chr(123),$chr(125))
n1341=      elseif (%xmx isnum 182-227) emot ~#
n1342=      elseif (%xmx isnum 228-249) emot (x)
n1343=      elseif (%xmx isnum 250-272) emot (z)
n1344=      elseif (%xmx isnum 273-302) emot (f)
n1345=      elseif (%xmx isnum 303-336) emot (w)
n1346=      elseif (%xmx isnum 337-380) emot (d)
n1347=    }
n1348=    elseif (%xmy isnum 209-235) {
n1349=      if (%xmx isnum 1-38) emot (b)
n1350=      elseif (%xmx isnum 39-79) emot (c)
n1351=      elseif (%xmx isnum 80-116) emot (pi)
n1352=      elseif (%xmx isnum 117-147) emot (%)
n1353=      elseif (%xmx isnum 148-181) emot (mp)
n1354=      elseif (%xmx isnum 182-211) emot (so)
n1355=      elseif (%xmx isnum 212-242) emot (8)
n1356=      elseif (%xmx isnum 243-276) emot (e)
n1357=      elseif (%xmx isnum 277-311) emot (p)
n1358=      elseif (%xmx isnum 312-349) emot (ci)
n1359=      elseif (%xmx isnum 350-380) emot (m)
n1360=    }
n1361=    elseif (%xmy isnum 236-264) {
n1362=      if (%xmx isnum 1-44) emot (cd)
n1363=      elseif (%xmx isnum 45-99) emot (?)
n1364=      elseif (%xmx isnum 100-152) emot (pl)
n1365=      elseif (%xmx isnum 153-183) emot (yn)
n1366=      elseif (%xmx isnum 184-211) emot (y)
n1367=      elseif (%xmx isnum 212-240) emot (n)
n1368=      elseif (%xmx isnum 241-269) emot (o)
n1369=      elseif (%xmx isnum 270-304) emot (st)
n1370=      elseif (%xmx isnum 305-341) emot (rn)
n1371=      elseif (%xmx isnum 343-380) emot (**)
n1372=    }
n1373=    elseif (%xmy > 264) {
n1374=      if (%xmx isnum 1-38) emot (um)
n1375=      elseif (%xmx isnum 39-65) emot (#)
n1376=      elseif (%xmx isnum 66-104) emot (ip)
n1377=      elseif (%xmx isnum 105-141) emot (t)
n1378=      elseif (%xmx isnum 142-182) emot :[
n1379=      elseif (%xmx isnum 193-232) emot (ap)
n1380=      elseif (%xmx isnum 233-264) emot (r)
n1381=      elseif (%xmx isnum 265-294) emot |~
n1382=      elseif (%xmx isnum 295-337) emot -sc
n1383=      elseif (%xmx isnum 338-380) emot (^)
n1384=    }
n1385=  }
n1386=}
n1387=sf_prof.get {
n1388=  if (!$1) || ($1 !isnum) return
n1389=  url http://sparkpea.net/u/ $+ $1
n1390=}
n1391=L_init {
n1392=  if (!$dialog(lists)) return
n1393=  did -cr lists 6
n1394=  var %L_init = $did(lists,7), %oo_i = 1, %oo = $hget(prot,0).item, %nx
n1395=  if (%L_init = Ignore) {
n1396=    %oo = $ignore(0)
n1397=    if (%oo = 0) { did -ca lists 6 No Users In Your $chr(9) Ignore List | return }
n1398=    while (%oo_i <= %oo) { did -ca lists 6 $bdc($gettok($had($right($ignore(%oo_i),-6)),1,33)) $chr(9) $ignore(%oo_i) | inc %oo_i }
n1399=  }
n1400=  elseif (%L_init = Whisper) {
n1401=    %oo = $numtok($hget(prot,queryblock),44)
n1402=    if (%oo = 0) { did -ca lists 6 No Users In Your $chr(9) Whisper Block | return }
n1403=    while (%oo_i <= %oo) { did -ca lists 6 $chr(9) $gettok($hget(prot,queryblock),%oo_i,44) | inc %oo_i }
n1404=  }
n1405=  elseif (%L_init isin Banned.Allowed.Notice) {
n1406=    %nx = $+($left(%L_init,3),.)
n1407=    while (%oo_i <= %oo) {
n1408=      if ($+(%nx,$chr(42)) iswm $hget(prot,%oo_i).item) did -ca lists 6 $bdc($hget(prot,%oo_i).data) $chr(9) $right($hget(prot,%oo_i).item,-4)
n1409=      inc %oo_i
n1410=    }
n1411=  }
n1412=  elseif (%L_init isin Q Key.Op Key) {
n1413=    %nx = $left(%L_init,1)
n1414=    while (%oo_i <= %oo) {
n1415=      if ($+(%nx,$chr(42)) iswm $hget(prot,%oo_i).item) did -ca lists 6 $right($hget(prot,%oo_i).item,-2) $chr(9) $hget(prot,%oo_i).data
n1416=      inc %oo_i
n1417=    }
n1418=  }
n1419=  elseif (%L_init = Mute) {
n1420=    while (%oo_i <= %oo) {
n1421=      if (v* iswm $hget(prot,%oo_i).item) { %nx = $right($v2,-1) | did -ca lists 6 $bdc($ial($+(*,%nx),1).nick) $chr(9) %nx }
n1422=      inc %oo_i
n1423=    }
n1424=  }
n1425=  if (!$did(lists,6,2)) { did -ca lists 6 No Users In $chr(9) %L_init List | return }
n1426=}
n1427=
n1428=L_remove {
n1429=  if (!$1-2) { echo %_cc -at 4[Error]: $did(7).seltext - Missing User Information | return }
n1430=  if ($1 = ignore) {
n1431=    if ($2 = all) .ignore -r
n1432=    elseif (!$ignore($2)) { echo %_cc -at 4[Error]: $2 is not in your Ignore list. | return }
n1433=    else { .ignore -r $2 | echo %_cc -at [12Ignore] - 11 $2  has been removed. }
n1434=  }
n1435=  elseif ($1 isin notice.banned.allowed.mute) {
n1436=    var %tr = $iif($1 = mute,v,$+($left($1,3),.))
n1437=    if ($2 = all) { hdel -w prot $+(%tr,*) }
n1438=    elseif (!$hget(prot,$+(%tr,$2))) { echo %_cc -at 4[Error]: $2 is not in your $1 list. | return }
n1439=    else hdel prot $+(%tr,$2) | echo %_cc -at [12 $1 Block] - 11 $3  has been removed.
n1440=  }
n1441=  elseif ($1 = whisper) {
n1442=    if ($2 = all) hdel prot queryblock
n1443=    elseif ($2 !isin $hget(prot,queryblock)) { echo %_cc -at 4[Error]: $2 is not in your Whisper Block list. | return }
n1444=    else { hadd prot queryblock $remtok($hget(prot,queryblock),$2,44) | echo %_cc -at [12Whisper Block] - 11 $2  has been removed. }
n1445=  }
n1446=  else hdel prot $+($left($1,1),%,$4)
n1447=  L_init
n1448=}
n1449=L_add {
n1450=  if (!$1) { echo -act info 4[Error]: Lists(ADD) - Missing User Information | return }
n1451=  if ($1 = ignore) {
n1452=    var %fg = $?="Enter the GateKeeper Address to ignore. $crlf i.e.: gatekeeper@icmember"
n1453=    if (%fg = $null) || ($numtok(%fg,64) != 2) { echo -ac info 4[Error]: Ignore List - Missing User Information | return }
n1454=    .ignore %fg
n1455=  }
n1456=  elseif ($1 isin notice.banned.allowed.mute) {
n1457=    var %tr = $iif($1 = mute,v,$+($left($1,3),.)), %fg = $remove($?=" $+($1,:) Enter just the address. $crlf (without @ICMember)",@,!,$chr(42),$,ICMember), %fn
n1458=    if (%fg != $null) %fn = $?="Enter User Nickname"
n1459=    if (%fg = $null) || (%fn = $null) { echo -ac info 4[Error]: Notice Block - Missing User Information | return }
n1460=    hadd prot $+(%tr,%fg) %fn
n1461=  }
n1462=  else {
n1463=    if ($1 = whisper) { error -e $v_ $crlf $crlf You may not add to the whisper block. $crlf Ignore the user instead. | return }
n1464=    var %kst = $left($1,1), %kchn = $input(Enter Correct Channel Name,e,$v_ - Key Change,$+($chr(37),$3)), %key
n1465=    if ($right(%kchn,-1) = $null) { error -e $v_ $crlf $crlf Key Change $crlf No Channel Given | return }
n1466=    %key = $?="Enter New Key For $right(%kchn,-1) "
n1467=    if (%key != $null) hadd prot $+(%kst,%kchn) %key
n1468=    if ($me isowner %kchn) && ($hget(prot,$+(%kst,%kchn))) prop %kchn $iif(%kst = q,ownerkey,hostkey) $hget(prot,$+(%kst,%kchn))
n1469=    else error -e $v_ $crlf $crlf No Key Given
n1470=  }
n1471=  l_init
n1472=}
n1473=;DCX
n1474=dcx {
n1475=  if ($isid) return $dll(dlls\dcx.dll,$1,$2-)
n1476=  else dll "dlls\dcx.dll" $1 $2-
n1477=}
n1478=udcx {
n1479=  if ($dcx(IsUnloadSafe)) $iif($menu, .timer 1 0) dll -u dcx.dll
n1480=  else echo 4 -qmlbfti2 [DCX] Unable to Unload Dll.
n1481=}
n1482=xdid {
n1483=  if ($isid) return $dcx( _xdid, $1 $2 $prop $3- )
n1484=  dcx xdid $2 $3 $1 $4-
n1485=}
n1486=xdialog {
n1487=  if ($isid) return $dcx( _xdialog, $1 $prop $2- )
n1488=  dcx xdialog $2 $1 $3-
n1489=}
n1490=xpop {
n1491=  if ($isid) return $dcx( _xpop, $1 $prop $2- )
n1492=  dcx xpop $2 $1 $3-
n1493=}
n1494=xpopup {
n1495=  if ($isid) return $dcx( _xpopup, $1 $prop $2- )
n1496=  dcx xpopup $2 $1 $3-
n1497=}
n1498=mpopup dcx mpopup $1 $2
n1499=xdock {
n1500=  if ($isid) return $dcx( _xdock, $1 $prop )
n1501=  dcx xdock $1-
n1502=}
n1503=xtray {
n1504=  if ($isid) return $dcx(TrayIcon, $1 $prop $2-)
n1505=  dcx TrayIcon $1-
n1506=}
n1507=tab {
n1508=  var %i = 1, %tab
n1509=  while (%i <= $0) {
n1510=    if ($eval($+($,%i),2) != $null) %tab = $instok(%tab,$eval($+($,%i),2),$calc($numtok(%tab,9) + 1),9)
n1511=    inc %i
n1512=  }
n1513=  return %tab
n1514=}
n1515=xstatusbar { !if ($isid) returnex $dcx( _xstatusbar, mIRC $prop $1- ) | dcx xstatusbar $1- }
n1516=shell return $scriptdirshell.dll
n1517=;mdx aliases
n1518=mdc_core {
n1519=  if ($isid) return dlls\coreicon.dll
n1520=  else dll dlls\coreicon.dll $1-
n1521=}
n1522=mdx_head { xmdx SetMircVersion $version | xmdx MarkDialog $dname }
n1523=xmdx {
n1524=  if ($isid = $true) && (!$1) return dlls\mdx.dll
n1525=  else dll dlls\mdx.dll $1-
n1526=}
n1527=
n1528=webpage {
n1529=  if (!$1) var %url = $input(Enter the website address.,et,Web Browser,http://www.)
n1530=  if (!$1) && (%url = $null) return
n1531=  elseif ($hget(soulfly,wp)) || ($3 = x) url -n $iif(!$2,%url,$2)
n1532=  else {
n1533=    window $iif($3,-aDk0nprz +e,-Dk0pz) $+(@,$iif(!$1,%url,$1)) $iif($3,560 -780 327 170)
n1534=    var %urlx = $dll(dlls\nHTMLn_2.95.dll,attach,$window($+(@,$iif(!$1,%url,$1))).hwnd)
n1535=    %urlx = $dll(dlls\nHTMLn_2.95.dll,margins,-2)
n1536=    %urlx = $dll(dlls\nHTMLn_2.95.dll,navigate,$iif(!$2,%url,$+(http://,$2)))
n1537=  }
n1538=}
